<template>
    <div
        class="accordion"
        :class="{open: active}"
        @click="$emit('onClick')"
    >
        <div
            class="accordion__top"
            @click="change"
        >
            <span>{{ title }}</span>
            <div
                class="icon"
            >
                <img
                    src="/images/minus.svg"
                    class="icon__plus"
                    :class="{active: active}"
                    alt="minus"
                >
                <img
                    src="/images/minus.svg"
                    class="icon__minus"
                    alt="minus"
                >
            </div>
        </div>
        <div class="accordion__content">
            <slot
           
                :active="active"
            />
        </div>
    </div>
</template>

<script>
export default {
    props: {
        title: {
            type: String,
            default: 'Title'
        },
        noOpen: {
            type: Boolean,
            default: false,
        }
    },
    data() {
        return {
            active: false,
        }
    },
    methods: {
        change() {
            if(!this.noOpen) {
                this.active = !this.active
                this.$emit('input', this.active)
            }
        },
       
    },
}
</script>

<style lang="scss" scoped>
.accordion {
    max-width: 100%;
    border: 1px solid #DAE7FF;
    background-color: #fff;
    position: relative;
    font-weight: 500;
    font-size: 14px;
    line-height: 16px;
    border-radius: 4px;
    &.open {
        .accordion__content {
            padding: 15px 3px 15px 10px;
        }
    }
    &__top {
        position: relative;
        z-index: 11;
        border-bottom: 1px solid #EFEFEF;
        padding: 19px 20px 16px;
        cursor: pointer;
        display: flex;
        justify-content: space-between;
        align-items: center;
    }
    &__content {
        max-height: 190px;
        overflow-y: auto;
        padding: 0 15px 0 20px;
    }
    .icon {
        cursor: pointer;
        position: relative;
        width: 12px;
        height: 12px;
        img {
            position: absolute; 
            top: 50%;
            left: 50%;
            transform: translate(-50%, -50%);           
        }
        img.icon__plus {
            transform: rotate(90deg) translate(-4%, 0);
            left: -7%;
            transition: 0.3s;
            &.active {
                transform: rotate(180deg) translate(0,0);
                opacity: 0;
            }
        }
    }
}
</style>